/**
  Generated Main Source File

  Company:
    Microchip Technology Inc.

  File Name:
    main.c

  Summary:
    This is the main file generated using PIC10 / PIC12 / PIC16 / PIC18 MCUs

  Description:
    This header file provides implementations for driver APIs for all modules selected in the GUI.
    Generation Information :
        Product Revision  :  PIC10 / PIC12 / PIC16 / PIC18 MCUs - 1.77
        Device            :  PIC16F18313
        Driver Version    :  2.00
*/

/*
    (c) 2018 Microchip Technology Inc. and its subsidiaries. 
    
    Subject to your compliance with these terms, you may use Microchip software and any 
    derivatives exclusively with Microchip products. It is your responsibility to comply with third party 
    license terms applicable to your use of third party software (including open source software) that 
    may accompany Microchip software.
    
    THIS SOFTWARE IS SUPPLIED BY MICROCHIP "AS IS". NO WARRANTIES, WHETHER 
    EXPRESS, IMPLIED OR STATUTORY, APPLY TO THIS SOFTWARE, INCLUDING ANY 
    IMPLIED WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY, AND FITNESS 
    FOR A PARTICULAR PURPOSE.
    
    IN NO EVENT WILL MICROCHIP BE LIABLE FOR ANY INDIRECT, SPECIAL, PUNITIVE, 
    INCIDENTAL OR CONSEQUENTIAL LOSS, DAMAGE, COST OR EXPENSE OF ANY KIND 
    WHATSOEVER RELATED TO THE SOFTWARE, HOWEVER CAUSED, EVEN IF MICROCHIP 
    HAS BEEN ADVISED OF THE POSSIBILITY OR THE DAMAGES ARE FORESEEABLE. TO 
    THE FULLEST EXTENT ALLOWED BY LAW, MICROCHIP'S TOTAL LIABILITY ON ALL 
    CLAIMS IN ANY WAY RELATED TO THIS SOFTWARE WILL NOT EXCEED THE AMOUNT 
    OF FEES, IF ANY, THAT YOU HAVE PAID DIRECTLY TO MICROCHIP FOR THIS 
    SOFTWARE.
*/

#include "mcc_generated_files/mcc.h"

#define Red RA2             // RA2sRed
#define Blue RA1            // RA1sBlue
#define Green RA0           // RA0sGreen

// O[oϐ錾
unsigned long i,j,k,VADC;

// vg^CsO錾
void Red_VCM(void);         // LED(Red) PWM֐ 
void Blue_VCM(void);        // LED(Blue) PWM֐
void Green_VCM(void);       // LED(Green) PWM֐

/*
                         Main application
 */
void main(void)
{
    // initialize the device
    SYSTEM_Initialize();

    // When using interrupts, you need to set the Global and Peripheral Interrupt Enable bits
    // Use the following macros to:

    // Enable the Global Interrupts
    //INTERRUPT_GlobalInterruptEnable();

    // Enable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptEnable();

    // Disable the Global Interrupts
    //INTERRUPT_GlobalInterruptDisable();

    // Disable the Peripheral Interrupts
    //INTERRUPT_PeripheralInterruptDisable();

    while (1)
    {
        // Add your application code
        VADC = ADC_GetConversion(channel_ANA5);     // ANA5_ADϊʂ10rbglœǂݏo        
        k = (VADC / 5) + 50;            // k:PWMϐ(min=50)
        
    // RGBOf[VTCN

        Red = 1;        
            
        for(j=0; j<k; j++)          // LED(Green) AbvXebv 
            Green_VCM();

        for(j=k; j>0; j--)          // LED(Red) _EXebv      
            Red_VCM();        
        
        for(j=0; j<k; j++)          // LED(Blue) AbvXebv
            Blue_VCM();

        for(j=k; j>0; j--)          // LED(Green) _EXebv       
            Green_VCM();

        for(j=0; j<k; j++)          // LED(Red) AbvXebv
            Red_VCM();

        for(j=k; j>0; j--)          // LED(Blue) _EXebv      
            Blue_VCM();        
        
    }
}

void Red_VCM(void)          // LED(Red) PWM֐              
{
    for(i=0; i<k; i++)
    {
        if(i <= j)
            Red = 1;
        else
            Red = 0;
    }
}    

void Blue_VCM(void)          // LED(Blue) PWM֐
{
    for(i=0; i<k; i++)
    {
        if(i <= j)
            Blue = 1;
        else
            Blue = 0;
    }
}

void Green_VCM(void)             // LED(Green) PWM֐
{
    for(i=0; i<k; i++)
    {
        if(i <= j)
            Green = 1;
        else
            Green = 0;
    }
}

/**
 End of File
*/